import { StyleSheet, Platform, Dimensions } from 'react-native';
import { Colors } from '../../../theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  container: {
    ...StyleSheet.absoluteFillObject,
    alignItems: 'center',
    justifyContent: 'flex-end',
  },
  map: {
    ...StyleSheet.absoluteFillObject,
  },
  cornerButton: {
    position: 'absolute',
    backgroundColor: Colors.WHITE,
    padding: 12,
    width: 48,
    height: 48,
    borderRadius: 24,
    alignItems: 'center',
    justifyContent: 'center',
    shadowColor: 'rgba(33, 37, 41, 0.12)',
    shadowOffset: { width: 0, height: 4 },
    shadowRadius: 8,
    elevation: 5,
  },
  topLeftButton: {
    top: 52,
    left: 16,
  },
  closeLeftButton: {
    backgroundColor: 'rgba(33, 37, 41, 0.78)',
    paddingHorizontal: 12,
    paddingVertical: 8,
    width: 81,
    height: 36,
    borderRadius: 18,
    flexDirection: 'row',
    gap: 6,
  },
  topRightButton: {
    top: 52,
    right: 16,
  },
  bottomButton: {
    bottom: Platform.OS == 'android' ? 80 : 100,
    width: 42,
    height: 42,
    borderRadius: 21,
  },
  bottomLeftButton: {
    left: 16,
  },
  bottomRightButton: {
    right: 16,
  },
  textClose: {
    fontSize: 12,
    color: 'white',
    fontWeight: '500',
    lineHeight: 14,
  },
  location: {
    width: 18,
    height: 18,
    borderRadius: 9,
    borderColor: 'white',
    backgroundColor: '#ED9334',
    scale: 1,
    shadow: {
      shadowColor: "#212529",
      shadowOffset: {
        width: 0,
        height: 4,
      },
      shadowOpacity: 0.12,
      shadowRadius: 8,
      elevation: 5,
    },
  },
  searchContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    overflow: 'hidden'
  },
  iconButton: {
    padding: 10
  },
  input: {
    flex: 1,
    height: 40,
    color: Colors.DARK_BLUE,
    fontWeight: '600'
  },
});
