import { StyleSheet, Platform } from 'react-native';
import { Colors } from '../../../../theme';

export const styles = StyleSheet.create({
  container: {
    ...StyleSheet.absoluteFillObject,
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  map: {
    ...StyleSheet.absoluteFillObject
  },
  cornerButton: {
    position: 'absolute',
    backgroundColor: Colors.WHITE,
    padding: 12,
    width: 48,
    height: 48,
    borderRadius: 24,
    alignItems: 'center',
    justifyContent: 'center',
    shadowColor: 'rgba(33, 37, 41, 0.12)',
    shadowOffset: { width: 0, height: 4 },
    shadowRadius: 8,
    elevation: 5
  },
  topLeftButton: {
    top: 58,
    left: 16
  },
  closeLeftButton: {
    backgroundColor: 'rgba(33, 37, 41, 0.78)',
    paddingHorizontal: 12,
    paddingVertical: 8,
    width: 81,
    height: 36,
    borderRadius: 18,
    flexDirection: 'row',
    gap: 6
  },
  textClose: {
    fontSize: 12,
    color: 'white',
    fontWeight: '500',
    lineHeight: 14
  },
  topRightButton: {
    top: 52,
    right: 16
  },
  bottomButton: {
    bottom: 58,
    width: 42,
    height: 42,
    borderRadius: 21,
  },
  bottomLeftButton: {
    left: 16,
  },
  avatar: {
    borderRadius: 48 / 2,
    width: 48,
    height: 48,
    borderWidth: 2,
    borderColor: Colors.WHITE
  }
});
